compact1, compact2, compact3
java.lang.reflect

## Interface Type

All Known Subinterfaces:
  GenericArrayType, ParameterizedType, TypeVariable<D>, WildcardType

All Known Implementing Classes:
  Class

    public interface Type

Type is the common superinterface for all types in the Java programming language. These include raw types, parameterized types, array types, type variables and primitive types.

Since:
  1.5

### Method Summary

All Methods Instance Methods Default Methods
`default String` `getTypeName()` Returns a string describing this type, including information about any type parameters.

### Method Detail

#### getTypeName

    default String getTypeName()

Returns a string describing this type, including information about any type parameters.

Implementation Requirements:
  The default implementation calls `toString`.
Returns:
  a string describing this type
Since:
  1.8